/*--------------------------------------------------------------------------
 Dataset:              Military influence
 Authors:	           Tanja Eschenauer, Jil Kamerling
 Date:			       June 14 2016 
 -------------------------------------------------------------------------*/

// Starting Commands
//----------------------------------------------------------------------------
clear all
set more off
capture log close

// Generate cross section
//----------------------------------------------------------------------------
use "military influence_TS.dta", clear 

* Drop by regime spell
duplicates drop crspell, force
* Drop time series data
drop raw* RAW countryyear rs_duration

save "military influence_cross.dta", replace


// Generate military ruler and supporter indices
//----------------------------------------------------------------------------
use "military influence_TS.dta", clear 

// Military ruler, mi_mruler
generate mi_mruler = .
replace mi_mruler = min(mi_origin, max(mi_leader, mi_mod)) ///
  if mi_origin!=.
label var mi_mruler "Military ruler"
  
// Military supporter, mi_msupport
generate mi_msupport = .
replace mi_msupport = max( ///
  min(mi_veto, mi_repress), ///
  min(mi_veto, mi_impun), ///
  min(mi_repress, mi_impun))
label var mi_msupport "Military supporter"  
 